Appearance
Copy single split to new or existing dataset
POST
https://api-dataset.transkribus.org/v1/datasets/{id}/versions/{vid}/splits/{split}/copyCopy items from a split to either a new dataset or an existing one.
- Provide
nameto create a new dataset with that name (plus optional dataset params) - Provide
targetDatasetIdto copy to an existing dataset's draft version
Parameters
Path Parameters
id*
Type
Requiredstring
vid*
Type
Requiredstring
split*
Type
Requiredstring
Request Body
application/json
Name for the new dataset (required if not using targetDatasetId)
Min Length
3Description for the new dataset
Title for the new dataset
Tags for the new dataset
Document type for the new dataset
License for the new dataset
Custom fields for the new dataset
Source info for the new dataset
Data quality metrics for the new dataset
Query criteria for the new dataset
ID of existing dataset to copy to (alternative to name)
Target split in the existing dataset (only used with targetDatasetId)
Valid values
"train""validation""test"Default
"train"